<?php

/* DCMS Special
 * Дата последнего редактирования 02.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$doc->Title('Предложение дружбы');

require_once H . 'sys/inc/thead.php';

$ank = get_user(intval($_GET['id']));

aut();

if ($ank['id'] == 0) {
    $_SESSION['err'] = lang('Пользователя не существует');
    header("Location: /info.php");
    exit;
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE (`user` = '$ank[id]' AND `friends` = '$user[id]') OR (`user` = '$user[id]' AND `friends` = '$ank[id]') LIMIT 1"), 0) != 0) {
    $_SESSION['message'] = lang('Пользователь уже находится в списке Ваших друзей');
    header("Location: /id$ank[id]");
    exit;
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `friends_new` WHERE `user` = '$user[id]' AND `to` = '$ank[id]'"), 0) != 0) {

    $_SESSION['message'] = lang('Вы уже отправили заявку в друзья');
    header("Location: /id$ank[id]");
    exit;
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `friends_new` WHERE `user` = '$ank[id]' AND `to` = '$user[id]'"), 0) != 0) {
    $_SESSION['message'] = lang('Пользователь первым предложил Вам дружбу');
    header("Location: /id$ank[id]");
    exit;
}
if ($ank['friendship'] != 0) {
    echo "<div class='list-group-item-null list-group-item-grey'><b>$ank[nick]</b> " . ($ank['sex'] ? '' . lang('запретил') . '' : '' . lang('запретила') . '') . " " . lang('предлгать дружбу') . ".</div>";

    $doc->Link('list-group-item-null', "/id$ank[id]", 'arrow-left', "$ank[nick]");

    require_once H . 'sys/inc/tfoot.php';
    exit();
}

if ($ank['id'] == $user['id']) {
    $_SESSION['err'] = lang('Вы не можете добавить сами себя в друзья');
    header("Location: /id$ank[id]");
    exit;
}
if (isset($_POST['submited'])) {
    mysql_query("INSERT INTO `friends_new` (`user`, `to`, `time`) values('$user[id]', '$ank[id]', '$time')");
    $id = mysql_insert_id();
    mysql_query("OPTIMIZE TABLE `friends_new`");
    $_SESSION['message'] = lang('Ваше предложение дружбы отправлено');
    header("Location: /id$ank[id]");
    exit;
}

echo "<form method = 'POST' class = 'list-group-item-null' action = ''>";
echo lang('Вы действительно хотите дружить с') . " <b>$ank[nick]</b>?<br/>";

$doc->Button('btn btn-success btn-sm', 'submited', null, 'Да');
$doc->Link('btn btn-secondary btn-sm', "/info.php?id=$ank[id]", null, "Нет");
echo "</form>";

$doc->Link('list-group-item-null', "/info.php?id=$ank[id]", 'arrow-left', "$ank[nick]");

require_once H . 'sys/inc/tfoot.php';

